运行jetty-maven-plugin时,出现错误

Java 专栏收录该内容
23 篇文章 0 订阅
[ERROR] Failed to execute goal org.eclipse.jetty:jetty-maven-plugin:9.4.0.v20161208:run (default-cli) on project kind-perm-web: Execution default-cli of goal org.eclipse.jetty:jetty-maven-plugin:9.4.0.v20161208:run failed: Unable to load the mojo 'run' in the plugin 'org.eclipse.jetty:jetty-maven-plugin:9.4.0.v20161208' due to an API incompatibility: org.codehaus.plexus.component.repository.exception.ComponentLookupException: org/eclipse/jetty/maven/plugin/JettyRunMojo : Unsupported major.minor version 52.0
[ERROR] -----------------------------------------------------
[ERROR] realm =    plugin>org.eclipse.jetty:jetty-maven-plugin:9.4.0.v20161208
[ERROR] strategy = org.codehaus.plexus.classworlds.strategy.SelfFirstStrategy
[ERROR] urls[0] = file:/F:/maven/repository/org/eclipse/jetty/jetty-maven-plugin/9.4.0.v20161208/jetty-maven-plugin-9.4.0.v20161208.jar
[ERROR] urls[1] = file:/F:/maven/repository/org/sonatype/sisu/sisu-inject-bean/2.1.1/sisu-inject-bean-2.1.1.jar
[ERROR] urls[2] = file:/F:/maven/repository/org/sonatype/sisu/sisu-guice/2.9.4/sisu-guice-2.9.4-no_aop.jar
[ERROR] urls[3] = file:/F:/maven/repository/org/codehaus/plexus/plexus-utils/2.0.6/plexus-utils-2.0.6.jar
[ERROR] urls[4] = file:/F:/maven/repository/org/sonatype/aether/aether-util/1.11/aether-util-1.11.jar
[ERROR] urls[5] = file:/F:/maven/repository/org/codehaus/plexus/plexus-interpolation/1.14/plexus-interpolation-1.14.jar
[ERROR] urls[6] = file:/F:/maven/repository/org/codehaus/plexus/plexus-component-annotations/1.5.5/plexus-component-annotations-1.5.5.jar
[ERROR] urls[7] = file:/F:/maven/repository/org/sonatype/plexus/plexus-sec-dispatcher/1.3/plexus-sec-dispatcher-1.3.jar
[ERROR] urls[8] = file:/F:/maven/repository/org/sonatype/plexus/plexus-cipher/1.4/plexus-cipher-1.4.jar
[ERROR] urls[9] = file:/F:/maven/repository/org/apache/maven/plugin-tools/maven-plugin-tools-api/3.4/maven-plugin-tools-api-3.4.jar
[ERROR] urls[10] = file:/F:/maven/repository/backport-util-concurrent/backport-util-concurrent/3.1/backport-util-concurrent-3.1.jar
[ERROR] urls[11] = file:/F:/maven/repository/org/eclipse/jetty/jetty-util/9.4.0.v20161208/jetty-util-9.4.0.v20161208.jar
[ERROR] urls[12] = file:/F:/maven/repository/org/eclipse/jetty/jetty-webapp/9.4.0.v20161208/jetty-webapp-9.4.0.v20161208.jar
[ERROR] urls[13] = file:/F:/maven/repository/org/eclipse/jetty/jetty-xml/9.4.0.v20161208/jetty-xml-9.4.0.v20161208.jar
[ERROR] urls[14] = file:/F:/maven/repository/org/eclipse/jetty/jetty-servlet/9.4.0.v20161208/jetty-servlet-9.4.0.v20161208.jar
[ERROR] urls[15] = file:/F:/maven/repository/org/eclipse/jetty/jetty-quickstart/9.4.0.v20161208/jetty-quickstart-9.4.0.v20161208.jar
[ERROR] urls[16] = file:/F:/maven/repository/org/eclipse/jetty/jetty-jaas/9.4.0.v20161208/jetty-jaas-9.4.0.v20161208.jar
[ERROR] urls[17] = file:/F:/maven/repository/org/eclipse/jetty/jetty-security/9.4.0.v20161208/jetty-security-9.4.0.v20161208.jar
[ERROR] urls[18] = file:/F:/maven/repository/org/eclipse/jetty/jetty-plus/9.4.0.v20161208/jetty-plus-9.4.0.v20161208.jar
[ERROR] urls[19] = file:/F:/maven/repository/org/eclipse/jetty/jetty-jndi/9.4.0.v20161208/jetty-jndi-9.4.0.v20161208.jar
[ERROR] urls[20] = file:/F:/maven/repository/org/eclipse/jetty/jetty-server/9.4.0.v20161208/jetty-server-9.4.0.v20161208.jar
[ERROR] urls[21] = file:/F:/maven/repository/javax/servlet/javax.servlet-api/3.1.0/javax.servlet-api-3.1.0.jar
[ERROR] urls[22] = file:/F:/maven/repository/org/eclipse/jetty/jetty-http/9.4.0.v20161208/jetty-http-9.4.0.v20161208.jar
[ERROR] urls[23] = file:/F:/maven/repository/org/eclipse/jetty/jetty-io/9.4.0.v20161208/jetty-io-9.4.0.v20161208.jar
[ERROR] urls[24] = file:/F:/maven/repository/org/eclipse/jetty/jetty-jmx/9.4.0.v20161208/jetty-jmx-9.4.0.v20161208.jar
[ERROR] urls[25] = file:/F:/maven/repository/org/eclipse/jetty/jetty-annotations/9.4.0.v20161208/jetty-annotations-9.4.0.v20161208.jar
[ERROR] urls[26] = file:/F:/maven/repository/javax/annotation/javax.annotation-api/1.2/javax.annotation-api-1.2.jar
[ERROR] urls[27] = file:/F:/maven/repository/org/ow2/asm/asm/5.1/asm-5.1.jar
[ERROR] urls[28] = file:/F:/maven/repository/org/ow2/asm/asm-commons/5.1/asm-commons-5.1.jar
[ERROR] urls[29] = file:/F:/maven/repository/org/ow2/asm/asm-tree/5.1/asm-tree-5.1.jar
[ERROR] urls[30] = file:/F:/maven/repository/org/eclipse/jetty/websocket/javax-websocket-server-impl/9.4.0.v20161208/javax-websocket-server-impl-9.4.0.v20161208.jar
[ERROR] urls[31] = file:/F:/maven/repository/org/eclipse/jetty/websocket/javax-websocket-client-impl/9.4.0.v20161208/javax-websocket-client-impl-9.4.0.v20161208.jar
[ERROR] urls[32] = file:/F:/maven/repository/javax/websocket/javax.websocket-api/1.0/javax.websocket-api-1.0.jar
[ERROR] urls[33] = file:/F:/maven/repository/org/eclipse/jetty/websocket/websocket-server/9.4.0.v20161208/websocket-server-9.4.0.v20161208.jar
[ERROR] urls[34] = file:/F:/maven/repository/org/eclipse/jetty/websocket/websocket-common/9.4.0.v20161208/websocket-common-9.4.0.v20161208.jar
[ERROR] urls[35] = file:/F:/maven/repository/org/eclipse/jetty/websocket/websocket-api/9.4.0.v20161208/websocket-api-9.4.0.v20161208.jar
[ERROR] urls[36] = file:/F:/maven/repository/org/eclipse/jetty/websocket/websocket-client/9.4.0.v20161208/websocket-client-9.4.0.v20161208.jar
[ERROR] urls[37] = file:/F:/maven/repository/org/eclipse/jetty/jetty-client/9.4.0.v20161208/jetty-client-9.4.0.v20161208.jar
[ERROR] urls[38] = file:/F:/maven/repository/org/eclipse/jetty/websocket/websocket-servlet/9.4.0.v20161208/websocket-servlet-9.4.0.v20161208.jar
[ERROR] urls[39] = file:/F:/maven/repository/org/eclipse/jetty/apache-jsp/9.4.0.v20161208/apache-jsp-9.4.0.v20161208.jar
[ERROR] urls[40] = file:/F:/maven/repository/org/eclipse/jetty/toolchain/jetty-schemas/3.1/jetty-schemas-3.1.jar
[ERROR] urls[41] = file:/F:/maven/repository/org/mortbay/jasper/apache-jsp/8.5.5/apache-jsp-8.5.5.jar
[ERROR] urls[42] = file:/F:/maven/repository/org/mortbay/jasper/apache-el/8.5.5/apache-el-8.5.5.jar
[ERROR] urls[43] = file:/F:/maven/repository/org/eclipse/jdt/core/compiler/ecj/4.4.2/ecj-4.4.2.jar
[ERROR] urls[44] = file:/F:/maven/repository/org/eclipse/jetty/apache-jstl/9.4.0.v20161208/apache-jstl-9.4.0.v20161208.jar
[ERROR] urls[45] = file:/F:/maven/repository/org/apache/taglibs/taglibs-standard-spec/1.2.5/taglibs-standard-spec-1.2.5.jar
[ERROR] urls[46] = file:/F:/maven/repository/org/apache/taglibs/taglibs-standard-impl/1.2.5/taglibs-standard-impl-1.2.5.jar
[ERROR] urls[47] = file:/F:/maven/repository/javax/transaction/javax.transaction-api/1.2/javax.transaction-api-1.2.jar
[ERROR] Number of foreign imports: 1
[ERROR] import: Entry[import  from realm ClassRealm[maven.api, parent: null]]

错误原因是:

pom文件中配置的是jdk1.8,而实际环境是jdk1.7


修改方式修改为:


启动成功!!!

  • 7
    点赞
  • 2
    评论
  • 0
    收藏
  • 打赏
    打赏
  • 扫一扫,分享海报

评论2
请先登录 后发表评论~
©️2021 CSDN 皮肤主题: 编程工作室 设计师:CSDN官方博客 返回首页

打赏作者

jingshenbusi

你的鼓励将是我创作的最大动力

¥2 ¥4 ¥6 ¥10 ¥20
输入1-500的整数
余额支付 (余额:-- )
扫码支付
扫码支付:¥2
获取中
扫码支付

您的余额不足,请更换扫码支付或充值

打赏作者

实付
使用余额支付
点击重新获取
扫码支付
钱包余额 0

抵扣说明:

1.余额是钱包充值的虚拟货币,按照1:1的比例进行支付金额的抵扣。
2.余额无法直接购买下载,可以购买VIP、C币套餐、付费专栏及课程。

余额充值